Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160879 - gfortran segfault with write to a character of character array
Summary: gfortran segfault with write to a character of character array
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-17 22:37 UTC by Patrice Dumas
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 4.0.1-2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-11 16:57:12 UTC


Attachments (Terms of Use)

Description Patrice Dumas 2005-06-17 22:37:08 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; fr; rv:1.7.2) Gecko/20040804

Description of problem:
With the following program gfortran segfaults:
      SUBROUTINE cqm
      CHARACTER CQMAP(10)*(1)
      WRITE(CQMAP,'(1X)')
      END
[dumas@couperin ~]$ gfortran -c -o bug.o bug_gfortran.f
bug_gfortran.f: In function 'cqm':
bug_gfortran.f:1: internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.


Version-Release number of selected component (if applicable):
gcc-gfortran-4.0.0-8

How reproducible:
Always

Steps to Reproduce:
1. try to compile the code above
2.
3.
  

Actual Results:  gfortran segfaults, and a bug report submit

Expected Results:  something else

Additional info:

Comment 1 Patrice Dumas 2005-06-18 13:23:09 UTC
a variant that leads to a segfault that could be related

      program tf
      PARAMETER  (LGL=240)
      CHARACTER   LINE*(LGL)
      CHARACTER    COL(LGL)*1
      EQUIVALENCE (COL(1), LINE(1:1))
      END

Removing the (1:1) helped.

Comment 2 Jakub Jelinek 2005-07-11 16:57:12 UTC
The cqm testcase doesn't ICE any longer with 4.0.1-2 (rawhide).
The tf testcase ends up with find_array_spec(): Missing spec ICE, so it is the
equivalence bug with array refs.


Note You need to log in before you can comment on or make changes to this bug.